var admin;
admin = {
	ajax: function (data,f) {
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: data,
			success: function(data){
				var res = $.parseJSON(data);
				f(null,res);
			},
			error: function () {
				f('error',null);
			}
		});
	},
	mainCtrl: function (res,type,status,form) {
		switch(type){
			case 'addmoder': admin.addModerCtrl(res,status); break;
			case 'ticket': admin.ticketCtrl(res,status); break;
			case 'competition': admin.competitionCtrl(res,status); break;
			case 'config': admin.config(res,status,form); break;
			case 'edit_link': admin.reloadCtrl(res); break;
			default: app.connectError(); break;
		}
	},
	competitionCtrl: function (res,status) {
		if (res.status === 'success') {
			window.location.reload();
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	ticketCtrl: function (res,status) {
		if(res.status === 'success'){
			window.location.reload();
		}else if(res.status === 'err'){
			status.html('');
			setTimeout(function () {
				status.html('<font color="red">'+res.text+'</font>');
			},200);
		}
	},
	reloadCtrl: function(res) {
		if (res.status === 'success') {
			window.location.reload();
		}else if(res.status === 'err'){
			alert(res.text);
		}
	},
	competition: function(hand,id) {
		admin.ajax({
			type: 'admin',
			admin: 'competition',
			comp: hand,
			id: id
		},function(err,res) {
			if(err) {
				app.connectError();
				return;
			}
			if(res.status == 'success'){
				window.location.reload();
			}else if(res.status === 'err'){
				alert(res.text);
			}
		});
	},
	ban: function (id) {
		admin.ajax({
			type: 'admin',
			admin: 'ban',
			id: id
		},function (err,res) {
			if(err) {
				app.connectError();
				return;
			}
			if(res.status == 'success'){
				var response = res.text === 'baned' ? 'Разбанить' : 'Забанить';
				$('button[data-ban='+id+']').text(response);
			}else if(res.status === 'err'){
				alert(res.text);
			}
		});
	},
	pay: function (id) {
		admin.ajax({
			type: 'admin',
			admin: 'pay',
			id: id
		},function (err,res) {
			if(res.status === 'success'){
				$('td[data-pay='+id+']').html('<font color="green">Выплачено</font>');
			}else if(res.status === 'err'){
				$('td[data-pay='+id+']').html('<font color="red">'+res.text+'</font>');
			}
		});
	},
	backPay : function (id) {
		admin.ajax({
			type: 'admin',
			admin: 'backpay',
			id: id
		},function (err,res) {
			if(res.status === 'success'){
				$('td[data-pay='+id+']').html('<font color="green">Отменено</font>');
			}else if(res.status === 'err'){
				$('td[data-pay='+id+']').html('<font color="red">'+res.text+'</font>');
			}
		});
	},
	config: function (res,status,form) {
		if(res.status === 'success'){
			$.each(res.obj,function(i, val){
				form.find('input[name=' + val.key + ']').val('');
				setTimeout(function(){
					form.find('input[name=' + val.key + ']').val(val.data);
				},200);
			});
			status.html('<font color="green">' + res.text + '</font>');
		}else if(res.status === 'err'){
			status.html('<font color="red">' + res.text + '</font>');
		}
	},
	addModerCtrl: function (res,status) {
		if(res.status === 'success'){
			window.location.reload();
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	removeModer: function (id) {
		admin.ajax({
			type: 'admin',
			admin: 'removemoder',
			id: id
		},function (err,res) {
			if(err){
				app.connectError();
				return;
			}
			if(res.status === 'success'){
				window.location.reload();
			}else {
				$('td[data-remove='+id+']').html('<font color="red">'+res.text+'</font>');
			}
		});
	},
	addPack: function (pack_type) {
		var m = $('#addPack'),
			text = pack_type === 'link' ? 'ссылок' : 'баннеров',
			title = 'Добавить пакет для ' + text;
		m.find('.modal-title').text(title);
		m.find('input[name=pack_type]').val(pack_type);
		m.modal('show');
	},
	editLink: function(id) {
		var m = $('#editLinkModal'),
			title = $('*[data-title='+id+']').text(),
			text = $('*[data-text='+id+']').text();
		m.find('input[name=title]').val(title);
		m.find('input[name=text]').val(text);
		m.find('input[name=id]').val(id);
		m.modal('show');
	},
	del_pack: function (id) {
		admin.ajax({
			type: 'admin',
			admin: 'delpack',
			id: id
		},function (err,res) {
			if(err) {
				app.connectError();
				return;
			}
			if(res.status === 'success'){
				window.location.reload();
			}else if(res.status === 'err'){
				alert(res.text);
			}
		});
	},
	del_obj: function (type_obj,id) {
		admin.ajax({
			type: 'admin',
			admin: 'delobj',
			type_obj: type_obj,
			id: id
		},function (err,res) {
			if(err) {
				app.connectError();
				return;
			}
			if(res.status === 'success'){
				window.location.reload();
			}else if(res.status === 'err'){
				alert(res.text);
			}
		});
	},
	mails: {
		delete: function(id) {
			admin.ajax({
				type:'admin',
				admin: 'mails',
				conf:'delete',
				id: id
			},function (err,res) {
				if(err){
					app.connectError();
					return;
				}
				if(res.status === 'success'){
					window.location.reload();
				}else if(res.status === 'err'){
					alert(res.text);
				}
			});
		},
		edit: function(id) {
			var m = $('#editMailModal'),
				block = $('*[read-id='+id+']'),
				text = block.find('#text').text(),
				link = block.find('#link').text(),
				question = block.find('#question').text(),
				q_1 = block.find('option[value=1]').text(),
				q_2 = block.find('option[value=2]').text(),
				q_3 = block.find('option[value=3]').text();
			m.find('textarea').text(text);
			m.find('input[name=link]').val(link);
			m.find('input[name=question]').val(question);
			m.find('input[name=q_1]').val(q_1);
			m.find('input[name=q_2]').val(q_2);
			m.find('input[name=q_3]').val(q_3);
			m.find('input[name=id]').val(id);
			m.modal('show');
		},
		editCtrl: function() {

		}
	},
	chat: {
		unfreeze: function (id) {
			admin.ajax({
				type:'admin',
				admin: 'chat',
				chat:'unfreeze',
				id: id
			},function (err,res) {
				if(err){
					app.connectError();
					return;
				}
				if(res.status === 'success'){
					$('td[data-msg='+id+']').html('<font color="green">Сообщение восстановлено</font>');
				}else if(res.status === 'err'){
					$('td[data-msg='+id+']').html('<font color="red">'+res.text+'</font>');
				}
			});
		},
		del: function (id) {
			admin.ajax({
				type:'admin',
				admin: 'chat',
				chat:'del',
				id: id
			},function (err,res) {
				if(err){
					app.connectError();
					return;
				}
				if(res.status === 'success'){
					$('td[data-msg='+id+']').html('<font color="green">Сообщение удалено</font>');
				}else if(res.status === 'err'){
					$('td[data-msg='+id+']').html('<font color="red">'+res.text+'</font>');
				}
			});
		},
		unblock: function (id) {
			admin.ajax({
				type:'admin',
				admin: 'chatsec',
				chatsec:'unblock',
				id: id
			},function (err,res) {
				if(err){
					app.connectError();
					return;
				}
				if(res.status === 'success'){
					window.location.reload();
				}else if(res.status === 'err'){
					$('td[data-usr='+id+']').html('<font color="red">'+res.text+'</font>');
				}
			});
		},
		hidden: function (id) {
			admin.ajax({
				type:'admin',
				admin: 'chatsec',
				chatsec:'hidden',
				id: id
			},function (err,res) {
				if(err){
					app.connectError();
					return;
				}
				if(res.status === 'success'){
					window.location.reload();
				}else if(res.status === 'err'){
					$('td[data-usr='+id+']').html('<font color="red">'+res.text+'</font>');
				}
			});
		}
	}
}
