var user,chat;
user = {
	mainCtrl: function (res,form,status) {
		var type = form.find('input[name=user]').val();
		switch(type){
			case 'add': user.addCtrl(res,status); break;
			case 'upload': user.uploadCtrl(res,form,status); break;
			case 'edit': user.editCtrl(res,status); break;
			case 'delete': user.editCtrl(res,status); break;
			case 'view': user.viewCtrl(res,status); break;
			case 'ticket': user.ticketCtrl(res,status); break;
			case 'config': user.config(res,status,form); break;
			case 'insert': user.insertCtrl(res,status); break;
			case 'pay_obj': user.payObj(res,status); break;
			case 'payment': user.paymentCtrl(res,status); break;
			case 'readedmail': user.readedMailCtrl(res,status,form); break;
			case 'chat_moder': moderator.mainCtrl(form,res,status); break;
			case 'mailconfig': user.mailconfigCtrl(res,status,form); break;
			default: app.connectError(); break;
		}
	},
	addCtrl: function (res,status) {
		if (res.status === 'success') {
			window.location = res.text;
		}else if (res.status === 'err') {
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	uploadCtrl: function (res,form,status) {
		if(res.status === 'success'){
			var block = $(document).find('#from-banner');
			block.find('label').text('Предпросмотр:');
			block.find('#img').html('<img src="/img/banners/'+res.text+'"/>');
			$(document).find('#link-input').val(res.text);
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.status+'</font>');
		}
	},
	payObj: function (res,status) {
		if(res.status === 'success'){
			window.location.reload();
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	insertCtrl: function (res,status) {
		if(res.status === 'success'){
			$('#from-link').html(res.text);
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	editCtrl: function (res,status) {
		if(res.status === 'success'){
			window.location.reload();
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	ticketCtrl: function (res,status) {
		if(res.status === 'success'){
			window.location.reload();
		}else if(res.status === 'err'){
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	paymentCtrl: function (res,status) {
		status.html('');
		setTimeout(function () {
			if(res.status === 'success'){
				status.html('<font color="green">'+res.text+'</font>');
			}else if(res.status === 'err'){
				status.html('<font color="red">'+res.text+'</font>');
			}
		},200);
	},
	config: function (res,status,form) {
		if(res.status === 'success'){
			$.each(res.obj,function(i, val){
				form.find('input[name=' + val.key + ']').val('');
				setTimeout(function(){
					form.find('input[name=' + val.key + ']').val(val.data);
				},200);
			});
			status.html('<font color="green">' + res.text + '</font>');
		}else if(res.status === 'err'){
			status.html('<font color="red">' + res.text + '</font>');
		}
	},
	upload: function () {
		var form = $(document).find('#file'),
			status = form.find('#status'),
			fd = new FormData(document.getElementById('file'));
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: fd,
			enctype: 'multipart/form-data',
			processData: false,
			contentType: false,
			success: function (data) {
				var res = $.parseJSON(data);
				user.uploadCtrl(res,form,status);
			}
		});
	},
	edit: function (type,id) {
		var m = $('#editModal');
		if(type === 'link'){
			var block = $(document).find('div[data-block='+id+']'),
				title = block.find('input[name=title]').val(),
				text = block.find('input[name=text]').val(),
				link = block.find('#link').text();
			m.find('input[name=link]').val(link);
			m.find('input[name=id]').val(id);
			m.find('input[name=title]').val(title);
			m.find('input[name=text]').val(text);
			m.modal('show');
		}else if(type === 'banner'){
			var block = $(document).find('div[data-block='+id+']'),
				img = block.find('img').attr('src'),
				link = block.find('#link').text();
			m.find('img').attr('src',img);
			m.find('input[name=link]').val(link);
			m.find('input[name=id]').val(id);
			m.find('input[name=banner]').val(img.substr(13));
			m.modal('show');
		}
	},
	start: function (type,id) {
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: {
				type: 'user',
				user: 'start',
				start: type,
				id: id
			},
			success: function(data){
				var res = $.parseJSON(data),
					block = $(document).find('div[data-block='+id+']').find('#start');
				if(res.status === 'started'){
					block.html('<i class="fa fa-stop"></i>');
				}else if(res.status === 'stoped'){
					block.html('<i class="fa fa-play"></i>');
				}
			},
			error: function () {
				app.connectError();
			}
		});
	},
	del: function (id) {
		var m = $('#deleteModal');
		m.find('input[name=id]').val(id);
		m.modal('show');
	},
	viewCtrl: function (res,status) {
		if (res.status === 'success') {
			window.location.href = res.text;
		}else if (res.status === 'err') {
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	readMail: function(id) {
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: {
				type: 'user',
				user: 'readmail',
				mail: 'startread',
				id: id
			},
			success: function(data){
				var res = $.parseJSON(data);
				if (res.status === 'success') {
					var m = $('#readMailModal'),
						text = res.text,
						q = res.main_q,
						keys = res.keys;
					m.find('#text-block').html(text);
					m.find('#main_q').text(q);
					m.find('input[name=id]').val(id);
					m.find('select#question').html('');
					$.each(keys,function(i,val) {
						m.find('select#question').append('<option value="'+val.key+'">'+val.text+'</option>');
					});
					m.modal('show');
				}else if (res.status === 'err') {
					alert(res.text);
				}
			},
			error: function () {
				app.connectError();
			}
		});
	},
	shuffle: function (array) {
		var counter = array.length;
		while (counter > 0) {
			var index = Math.floor(Math.random() * counter);
			counter--;
			var temp = array[counter];
			array[counter] = array[index];
			array[index] = temp;
		}
		return array;
	},
	invalidRead: function() {
		
		var m = $('#readMailModal'),
			select = m.find('select'),
			options = select.find('option'),
			optArr = [];
		$.each(options,function(i,v) {
			optArr.push(v);
		});
		select.html('');
		var newOptArr = user.shuffle(options);
		$.each(newOptArr,function(i,v) {
			m.find('select#question').append(v);
		});
		var f_cap = m.find('#from-captcha'),
			capImg = '<img src="/captcha.php?cap='+Math.random()+'" /><br /><br />';
			input = '<input type="text" name="captcha" class="form-control" />';
		f_cap.html('<div class="form-group"><label>Ввеите каптчу:</label><br/>'+capImg+''+input+'</div>');
	},
	readedMailCtrl: function(res,status,form) {
		if (res.status === 'success') {
			var m = $('#readMailModal'),
				id = form.find('input[name=id]').val(),
				linkModal = $('#goMailLinkModal');
			m.find('#text-block').text('');
			m.find('#main_q').text('');
			m.find('input[name=id]').val('0');
			m.find('select#question').html('');
			m.find('#from-captcha').html('');
			m.find('#status').html('');
			m.modal('hide');
			linkModal.find('a').attr('href',res.text);
			linkModal.modal('show');
			$('*[read-id='+id+']').remove();
			if ($('.mailread').length === 0) {
				$('.mails-list').append('<center><h3>Нет писем для чтения</h3></center>');
			}
		}else if(res.status === 'err') {
			if (res.text === 'invalid') {
				user.invalidRead();
				res.text = 'Ответ неправильный';
			}
			status.html('<font color="red">'+res.text+'</font>');
		}
	},
	closeLinkModal: function() {
		$('#goMailLinkModal').modal('hide');
	},
	startMail: function(id) {
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: {
				type: 'user',
				user: 'mailconfig',
				conf: 'start',
				id: id
			},
			success: function(data){
				var res = $.parseJSON(data);
				if (res.status === 'success') {
					var btnText = (res.text === 'started')?'Остановить':'Запустить';
					$('*[start-id='+id+']').text(btnText);
				}else if (res.status === 'err') {
					alert(res.text);
				}
			},
			error: function () {
				app.connectError();
			}
		});
	},
	editMail: function(id) {
		var m = $('#editMailModal'),
			block = $('*[read-id='+id+']'),
			text = block.find('#text').text(),
			link = block.find('#link').text(),
			question = block.find('#question').text(),
			q_1 = block.find('option[value=1]').text(),
			q_2 = block.find('option[value=2]').text(),
			q_3 = block.find('option[value=3]').text();
		m.find('textarea').text(text);
		m.find('input[name=link]').val(link);
		m.find('input[name=question]').val(question);
		m.find('input[name=q_1]').val(q_1);
		m.find('input[name=q_2]').val(q_2);
		m.find('input[name=q_3]').val(q_3);
		m.find('input[name=id]').val(id);
		m.modal('show');
	},
	deleteMail: function(id) {
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: {
				type: 'user',
				user: 'mailconfig',
				conf: 'delete',
				id: id
			},
			success: function(data){
				var res = $.parseJSON(data);
				if (res.status === 'success') {
					window.location.reload();
				}else if (res.status === 'err') {
					alert(res.text);
				}
			},
			error: function () {
				app.connectError();
			}
		});
	},
	mailconfigCtrl: function(res,status,form) {
		var sType = form.find('input[name=conf]').val();
		switch(sType){
			case 'edit':
				if (res.status === 'success') {
					window.location.reload();
				}else if (res.status === 'err'){
					status.html('<font color="red">'+res.text+'</font>');
				}
				break;
			case 'add':
				if (res.status === 'success') {
					window.location.href = '/account/my_mails';
				}else if (res.status === 'err'){
					status.html('<font color="red">'+res.text+'</font>');
				}
				break;
			case 'add_views':
				if (res.status === 'success') {
					window.location.reload();
				}else if (res.status === 'err'){
					alert(res.text);
				}
				break;
			default:
				app.connectError();
				break;
		}
	}
}

chat = {
	init: function (event) {
		if(event.which == 13){
			chat.send();
		}
	},
	send: function () {
		var text = $('input[name=message]').val();
		if(text.length >= 1){
			$('#send_btn').attr('disabled','disable');
			$.ajax({
				url: "/ajax",
				type: "POST",
				data: {
					type: 'user',
					user: 'chat',
					chat: 'send',
					msg: text
				},
				success: function(data){
					var res = $.parseJSON(data);
					if(res.status === 'success'){
						chat.add(res.user,res.type,res.time,res.msg,res.id);
						$('input[name=message]').val('');
						$('#messages').minEmoji();
						$('#messages').scrollTop(1000000);
						$('#errs').html('');
					}else if(res.status === 'err'){
						$('#errs').html('<font color="red">'+res.text+'</font>');
					}
					$('#send_btn').removeAttr('disabled');
				}
			});
		}
	},
	load: function () {
		var id = $('.msg-block:last-child').attr('data-id');
		$.ajax({
			url: "/ajax",
			type: "POST",
			data: {
				type: 'user',
				user: 'chat',
				chat: 'load',
				id: id
			},
			success: function(data){
				var res = $.parseJSON(data);
				if(res.status === 'success'){
					$.each(res.text.messages, function (i,v) {
						chat.add(v.user,v.type,v.time,v.msg,v.id);
						$('#messages').minEmoji();
						$('#messages').scrollTop(1000000);
						$('#errs').html('');
					});
				}
				$('#count_online').text(res.text.count);
			}
		});
	},
	add: function (user,type,time,msg,id) {
		var wrap = $('.msg-wrap'),
			msg = '<div class="msg-block" data-id="'+id+'"><div class="msg '+type+'"><div id="spec"></div><div class="user">'+user+'</div><div class="time">'+time+'</div><div class="message">'+msg+'</div></div></div>'
		wrap.append(msg);
	}
}

function toggle (block) {
	var status = $(block).attr('status'),
		id = $(block).attr('data-open');
	if(status === '1'){
		$('ul[data-box='+id+']').removeAttr('style');
		$(block).attr('status','2');
	}else if(status === '2'){
		$('ul[data-box='+id+']').attr('style','height: 0px; overflow: hidden;');
		$(block).attr('status','1');
	}
}

$(function () {
	$('.smile-block').on('click',function () {
		var smile = $(this).attr('smile');
		var text = $('input[name=message]').val();
		$('input[name=message]').val(text + smile);
	});
	$("#smls").hover(function(){
		$('#smiles-wrap').css('display','block');
	},function(){
		$('#smiles-wrap').css('display','none');
	});
});