<?php
$_OPT['title'] = 'Мои баннерные объявления';
?>
<div class="page-title">
		<div class="container" style="padding-left: 35px;">
			{!TITLE!}
		</div>
</div>
<div class="container">
<?
require 'views/subs/_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="panel-body acc">
				<ol class="breadcrumb">
					<li><a href="/account/my/links"><i class="fa fa-link"></i> Текстовые объявления</a></li>
					<li сlass="active"><i class="fa fa-picture-o"></i> Баннерные объявления</li>
				</ol>
			<?php
			if (count($data['blocks']) > 0) {
					foreach ($data['blocks'] as $block) {
						$status = ($block['active'] == '1')?'<i class="fa fa-stop"></i>':'<i class="fa fa-play"></i>';
						?>
						<div class="col-xs-12" data-block="<?=$block['banner_id'];?>">
							<div class="panel panel-left">
								<div class="panel-body">
									<div class="banner">
										<img src="/img/banners/<?=$block['img'];?>">
									</div>
								</div>
								<div class="panel-footer">
									<div>Баланс: <?=sprintf('%0.2f', $block['balance']);?> <i class="fa fa-rouble"></i></div>
									<div>Просмотров: <?=$block['views'];?></div>
									<?php
										if($block['views'] >= 1){
											?>
											<div>Последний просмотр: <?=date('Y/m/d H:i', $block['last_view']);?></div>
											<?php
										}
									?>
									<div>Ссылка: <span id="link"><?=$block['link'];?></span></div>
									<div>Статус: <?=($block['active'] == '1')? 'В ротации':'Остановлено';?></div>
									<div class="row">
										<form>
											<div class="col-xs-4">
												<div class="input-group">
													<input type="text" name="money" class="form-control" value="100">
													<input type="hidden" name="type" value="user">
													<input type="hidden" name="user" value="pay_obj">
													<input type="hidden" name="obj_type" value="banner">
													<input type="hidden" name="obj_id" value="<?=$block['banner_id'];?>">
													<div class="input-group-btn">
														<button class="btn btn-default">Пополнить</button>
													</div>
												</div>
											</div>
											<div class="btn btn-default" onclick="user.edit('banner',<?=$block['banner_id'];?>);">
												<i class="fa fa-pencil"></i>
											</div>
											<div class="btn btn-default" onclick="user.start('banner',<?=$block['banner_id'];?>);">
												<span id="start"><?=$status;?></span>
											</div>
											<div class="btn btn-default" onclick="user.del(<?=$block['id'];?>);">
												<i class="fa fa-trash"></i>
											</div>
											<span id="status"></span>
										</form>
									</div>
								</div>
							</div>
						</div>
						<?php
					}
				}else echo '<center><h4>У вас нет обьявлений этого типа</h4></center>';
			?>
		</div>
	</div>
</div>
<!-- editModal -->
<div class="modal fade" id="editModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
					<i class="fa fa-close"></i>
				</button>
				<h4 class="modal-title">Редактирование баннера</h4>
			</div>
			<form>
				<div class="modal-body">
					<div id="from-banner">
						<div class="form-group">
							<label>Баннер:</label>
							<br>
							<img src="">
						</div>
					</div>
					<div class="form-group">
						<label>Ссылка:</label>
						<input type="text" name="link" class="form-control">
					</div>
				</div>
				<div class="modal-footer">
					<input type="hidden" name="type" value="user">
					<input type="hidden" name="user" value="edit">
					<input type="hidden" name="edit" value="banner">
					<input type="hidden" name="banner">
					<input type="hidden" name="id">
					<span id="status"></span>
					<button class="btn btn-default">Сохранить</button>
				</div>
			</form>
		</div>
	</div>
</div>
<!-- deleteModal -->
<div class="modal fade" id="deleteModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
				<h4 class="modal-title">Вы уверены?</h4>
			</div>
			<form>
				<div class="modal-body">
					<h3>Вы уверены?</h3>
				</div>
				<div class="modal-footer">
					<input type="hidden" name="type" value="user">
					<input type="hidden" name="user" value="delete">
					<input type="hidden" name="delete" value="banner">
					<input type="hidden" name="id">
					<span id="status"></span>
					<button class="btn btn-default">Удалить</button>
				</div>
			</form>
		</div>
	</div>
</div>
</div>