<?php
$_OPT['title'] = 'Техническая поддержка';
?>
<div class="page-title">
		<div class="container" style="padding-left: 35px;">
			{!TITLE!}
		</div>
</div>
<div class="container">
<?
require 'views/subs/_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<div class="table-responsive">
				<table class="table table-hover table-bordered table-striped">
					<thead>
						<tr>
							<td>#</td>
							<td>Тема</td>
							<td>Статус</td>
							<td>Последнее действие</td>
						</tr>
					</thead>
					<tbody>
						<?php if ($data['tickets'] != '0'):
							$status = array('1'=>'Ожидание','2'=>'Есть ответ');
						?>
							<?php foreach ($data['tickets'] as $ticket): ?>
								<tr>
									<td><?=$ticket['id'];?></td>
									<td><a href="/account/support/<?=$ticket['id'];?>"><?=$ticket['theme'];?></a></td>
									<td><?=$status[$ticket['status']];?></td>
									<td><?=date('Y/m/d H:i',$ticket['last_msg']);?></td>
								</tr>
							<?php endforeach ?>
						<?php else: ?>
							<tr>
								<td>Нет тикетов</td>
							</tr>
						<?php endif ?>
					</tbody>
				</table>
			</div>
			<button class="btn btn-default" data-toggle="modal" data-target="#ticketModal">Написать тикет</button>
		</div>
	</div>
</div>
<!-- ticketModal -->
<div class="modal fade" id="ticketModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<form>
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
					<h4 class="modal-title">Написать тикет</h4>
				</div>
				<div class="modal-body">
					<div class="form-group">
						<label>Тема:</label>
						<input type="text" name="theme" class="form-control">
					</div>
					<div class="form-group">
						<label>Сообщение:</label>
						<textarea name="text" class="form-control"></textarea>
					</div>
				</div>
				<div class="modal-footer">
					<input type="hidden" name="type" value="user">
					<input type="hidden" name="user" value="ticket">
					<input type="hidden" name="ticket" value="new">
					<span id="status"></span>
					<button class="btn btn-default">Написать</button>
				</div>
			</form>
		</div>
	</div>
</div></div>