<?php
$_OPT['title'] = 'Заблокированные пользователи';
require 'views/subs/_admin_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<?php if (!isset($_GET['hidden'])): ?>
			<span class="pull-right">
				<a href="/admin/chat/block_users?hidden=1" class="btn btn-default">Показать скрытых</a>&nbsp;
			</span>
		<?php endif ?>
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<div class="table-responsive">
				<table class="table table-hover table-bordered table-hover table-striped">
					<thead>
						<tr>
							<td>Пользователь</td>
							<td>Причина</td>
							<td>Блокиратор</td>
							<td>Дата блокировки</td>
							<td>Управление</td>
						</tr>
					</thead>
					<tbody>
						<?php
						if($data['blocked'] != '0'){
							foreach ($data['blocked'] as $usr) {
								?>
								<tr>
									<td><a href="/admin/user/<?=$usr['user_id'];?>"><?=$usr['login'];?></a></td>
									<td>
										<span title="<?=$usr['cause'];?>"><?=trim(substr($usr['cause'], 0,30));?>...</span>
									</td>
									<td>
										<a href="/admin/user/<?=$usr['blocker_id'];?>"><?=$usr['blocker'];?></a>
									</td>
									<td><?=date('Y/m/d H:i',$usr['date_block']);?></td>
									<td data-usr="<?=$usr['id'];?>">
										<div class="btn-group">
											<button class="btn btn-default" onclick="admin.chat.unblock(<?=$usr['id'];?>);">
												Разблокировать
											</button>
											<?php
											if(!isset($_GET['hidden'])){
												?>
												<button class="btn btn-default" onclick="admin.chat.hidden(<?=$usr['id'];?>);">
													Скрыть
												</button>
												<?php
											}
											?>
										</div>
									</td>
								</tr>
								<?php
							}
						}else echo '<tr><td>Нет заблокированных пользователей</td></tr>';
						?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>