<?php
$_OPT['title'] = 'Модераторы';
require 'views/subs/_admin_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<div class="table-responsive">
				<table class="table table-hover table-bordered table-hover table-striped">
					<thead>
						<tr>
							<td>ID</td>
							<td>Логин</td>
							<td>Почта</td>
							<td>Управление</td>
						</tr>
					</thead>
					<tbody>
						<?php
						if($data['moderators'] != '0'){
							foreach ($data['moderators'] as $moderator) {
								?>
								<tr>
									<td><?=$moderator['id'];?></td>
									<td><a href="/admin/user/<?=$moderator['user_id'];?>"><?=$moderator['login'];?></a></td>
									<td><?=$moderator['email'];?></td>
									<td data-remove="<?=$moderator['id'];?>">
										<button class="btn btn-default" onclick="admin.removeModer(<?=$moderator['id'];?>);">
											Убрать привелегии
										</button>
									</td>
								</tr>
								<?php
							}
						}else echo '<tr><td>Нет модераторов</td></tr>';
						?>
					</tbody>
				</table>
			</div>
			<button class="btn btn-default" data-toggle="modal" data-target="#addModerModal">Назначить модератора</button>
		</div>
	</div>
</div>
<!-- editModal -->
<div class="modal fade" id="addModerModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
				<h4 class="modal-title">Добавить модератора</h4>
			</div>
			<div class="modal-body">
				<form>
					<div class="form-group">
						<label>Логин:</label>
						<input type="text" name="login" class="form-control">
					</div>
					<div class="form-group">
						<label>Пин-код:</label>
						<input type="password" name="pin" class="form-control">
					</div>
					<input type="hidden" name="type" value="admin">
					<input type="hidden" name="admin" value="addmoder">
					<button class="btn btn-default">Добавить</button>
					<span id="status"></span>
				</form>
			</div>
		</div>
	</div>
</div>