<?php
$_OPT['title'] = 'Настройки';
require 'views/subs/_admin_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<div class="col-xs-6">
				<form>
					<h3>Основные</h3>
					<div class="form-group">
						<label>Логин:</label>
						<input type="text" name="login" class="form-control" value="<?=$data['configs']['admin_login'];?>">
					</div>
					<div class="form-group">
						<label>Старый пароль:</label>
						<input type="password" name="old" class="form-control" placeholder="&bull;&bull;&bull;&bull;&bull;&bull;&bull;&bull;">
					</div>
					<div class="form-group">
						<label>Новый пароль:</label>
						<input type="password" name="new" class="form-control" placeholder="&bull;&bull;&bull;&bull;&bull;&bull;&bull;&bull;">
					</div>
					<div class="form-group">
						<label>Повторение пароль:</label>
						<input type="password" name="confirm" class="form-control" placeholder="&bull;&bull;&bull;&bull;&bull;&bull;&bull;&bull;">
					</div>
					<div class="form-group">
						<label>Пин-код:</label>
						<input type="password" name="pin" class="form-control" placeholder="&bull;&bull;&bull;&bull;">
					</div>
					<input type="hidden" name="type" value="admin">
					<input type="hidden" name="admin" value="config">
					<input type="hidden" name="config" value="password">
					<button class="btn btn-default">Сохранить</button>
					<span id="status"></span>
				</form>
			</div>
			<div class="col-xs-6">
				<form>
					<h3>Финансы</h3>
					<div class="form-group">
						<label>Тип выплаты:</label>
						<select name="pay_type" class="form-control">
							<option <?=($data['configs']['pay_type'] == 1)?'selected':'';?> value="1">Автоматические</option>
							<option <?=($data['configs']['pay_type'] == 2)?'selected':'';?> value="2">Ручные</option>
							<option <?=($data['configs']['pay_type'] == 3)?'selected':'';?> value="3">Выключены</option>
						</select>
					</div>
					<div class="form-group">
						<label>Минимальная сумма для выплаты:</label>
						<input type="text" name="min_pay" class="form-control" value="<?=$data['configs']['min_pay'];?>">
					</div>
					<div class="form-group">
						<label>Сумма сброса в ручные выплаты:</label>
						<input type="text" name="back_auto" class="form-control" value="<?=$data['configs']['back_auto'];?>">
					</div>
					<div class="form-group">
						<label>Маржа:</label>
						<input type="text" name="margin" class="form-control" value="<?=$data['configs']['margin'];?>">
					</div>
					<div class="form-group">
						<label>Пин-код:</label>
						<input type="password" name="pin" class="form-control" placeholder="&bull;&bull;&bull;&bull;">
					</div>
					<input type="hidden" name="type" value="admin">
					<input type="hidden" name="admin" value="config">
					<input type="hidden" name="config" value="pay">
					<button class="btn btn-default">Сохранить</button>
					<span id="status"></span>
				</form>
			</div>
		</div>
	</div>
</div>