<?php
$_OPT['title'] = 'Пользователи';
require 'views/subs/_admin_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<form act="on">
				<div class="form-group">
					<label>Найти пользователя:</label>
					<input type="text" name="find" class="form-control">
				</div>
				<button class="btn btn-default">Найти</button>
			</form>
			<br>
			<div class="table-responsive">
				<table class="table table-hover table-bordered table-hover table-striped">
					<thead>
						<tr>
							<td>ID</td>
							<td>Логин</td>
							<td>Почта</td>
							<td>Баланс рекламный/вывод</td>
							<td>Откуда пришел</td>
							<td>Бан</td>
						</tr>
					</thead>
					<tbody>
						<?php
						if($data['users'] != '0'){
							foreach ($data['users'] as $user) {
								?>
								<tr>
									<td><?=$user['user_id'];?></td>
									<td><a href="/admin/user/<?=$user['user_id'];?>"><?=$user['login'];?></a></td>
									<td><?=$user['email'];?></td>
									<td><?=$user['b_pur'];?>/<?=$user['b_out'];?> <i class="fa fa-rouble"></i></td>
									<td><?=($user['httpref'] != '0') ? $user['httpref'] : 'Неизвестно';?></td>
									<td>
										<button class="btn btn-default" data-ban="<?=$user['id'];?>" onclick="admin.ban(<?=$user['id'];?>);">
											<?=($user['ban'] == '1')?'Забанить':'Разбанить';?>
										</button>
									</td>
								</tr>
								<?php
							}
						}else echo '<tr><td>Нет пользователей</td></tr>';
						?>
					</tbody>
				</table>
			</div>
			<?php
			if($data['pag'] != '0'){
				?>
				<center>
					<ul class="pagination"><?=$data['pag'];?></ul>
				</center>
				<?php
			}
			?>
		</div>
	</div>
</div>