<?php
$_OPT['title'] = 'Разместить рекламу';
$scripts .= '<script src="/js/buy.js"></script>';
?>
<div class="page-title">
		<div class="container" style="padding-left: 35px;">
			{!TITLE!}
		</div>
</div>

<div class="container">
<div class="col-xs-12">
	<div class="panel panel-main">
		<div class="panel-body">
			<div class="col-xs-6">
				<div class="panel panel-ad">
					<div class="panel-heading">
						Ваш заголовок
					</div>
					<div class="panel-body">
						Ваш текст
					</div>
					<div class="panel-footer">
						<button data-toggle="modal" data-target="#linkModal" class="btn btn-default">Заказать</button>
					</div>
				</div>
			</div>
			<div class="col-xs-6">
				<div class="panel panel-ad">
					<div class="panel-body">
						<div class="banner" style="margin: 6.5px 0px;">
							<img src="/img/banners/banner.png">
						</div>
					</div>
					<div class="panel-footer">
						<button data-toggle="modal" data-target="#bannerModal" class="btn btn-default">Заказать</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- bannerModal -->
<div class="modal fade" id="bannerModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
					<i class="fa fa-close"></i>
				</button>
				<h4 class="modal-title">Добавить баннер</h4>
			</div>
			<div class="modal-body">
				<form act="on" id="file">
					<div class="form-group">
						<label>Баннер:</label>
						<input type="file" name="uploadfile">
					</div>
					<input type="hidden" name="type" value="upload">
					<div class="btn btn-default" onclick="buy.upload();">Загрузить</div>
					<span id="status"></span>
				</form>
				<p class="help-block">Обязательно нажмите кнопку загрузить</p>
				<div id="from-banner">
					<div class="form-group">
						<label></label>
						<div id="img"></div>
					</div>
				</div>
				<form>
					<div class="form-group">
						<label>Ссылка:</label>
						<input type="text" name="link" class="form-control">
					</div>
					<div class="form-group">
						<label>Встраивание в фрейм:</label>
						<p class="help-block">
							Не все сайты поддерживают встраивание в фрейм,<br>
							Проверьте встраиваеться ваш сайт во фрейм или нет <br>
							<a href="" target="_blank" id="frame-test">Проверить</a>
						</p>
						<select name="frame" class="form-control">
							<option value="1">С фреймом</option>
							<option value="2">Без фрейма</option>
						</select>
					</div>
					<div class="form-group">
						<label>Повторение:</label>
						<p class="help-block">
							Установив эту опцию вы сделаете своё задание многоразовым,
							это значит, что один и тот же пользователь сможет выполнять
							ваше задание снова и снова через указанный промежуток времени.
						</p>
						<select name="one_time" class="form-control">
							<option value="6h">6 ч.</option>
							<option value="12h">12 ч.</option>
							<option value="24h" selected>24 ч.(1 день)</option>
							<option value="non">Нет</option>
						</select>
					</div>
					<div class="form-group">
						<label>Пакет переходов:</label>
						<select name="package" class="form-control">
							<?=$data['packages_bann'];?>
						</select>
					</div>
					<div class="form-group">
						<label>Email:</label>
						<input type="text" name="email" class="form-control">
					</div>
					<div class="form-group">
						<label>Общая цена:</label>
						<input id="all_price" type="text" disabled="disable" value="0.00 руб." class="form-control">
					</div>
					<span id="status"></span>
					<input type="hidden" name="type" value="buy">
					<input type="hidden" name="buy" value="banner">
					<input type="hidden" name="banner" value="banner.png" id="banner-inp">
					<span id="status"></span>
					<button class="btn btn-default">Перейти к оплате</button>
				</form>
			</div>
		</div>
	</div>
	<script>
		setTimeout(function () {
			setInterval(function () {
				var price = parseFloat($('#bannerModal').find('select[name=package]').find('option:selected').attr('price')),
					link = $('#bannerModal').find('input[name=link]').val();
				$('#bannerModal').find('#all_price').val(price.toFixed(4) + ' руб.');
				$('#bannerModal').find('#frame-test').attr('href','/frame-test/?link='+link);
			},200);
		},1000);
	</script>
</div>
<!-- linkModal -->
<div class="modal fade" id="linkModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
				<h4 class="modal-title">Добавить Ссылку</h4>
			</div>
			<div class="modal-body">
				<form>
					<div class="form-group">
						<label>Заголовок:</label>
						<input type="text" name="title" class="form-control" placeholder="Ваш заголовок...">
					</div>
					<div class="form-group">
						<label>Текст:</label>
						<input type="text" name="text" class="form-control" placeholder="Ваш текст...">
					</div>
					<div class="form-group">
						<label>Ссылка:</label>
						<input type="text" name="link" class="form-control" placeholder="Ссылка...">
					</div>
					<div class="form-group">
						<label>Встраивание в фрейм:</label>
						<p class="help-block">
							Не все сайты поддерживают встраивание в фрейм,<br>
							Проверьте встраиваеться ваш сайт во фрейм или нет <br>
							<a href="" id="frame-test" target="_blank">Проверить</a>
						</p>
						<select name="frame" class="form-control">
							<option value="1">С фреймом</option>
							<option value="2">Без фрейма</option>
						</select>
					</div>
					<div class="form-group">
						<label>Повторение:</label>
						<p class="help-block">
							Установив эту опцию вы сделаете своё задание многоразовым,
							это значит, что один и тот же пользователь сможет выполнять
							ваше задание снова и снова через указанный промежуток времени.
						</p>
						<select name="one_time" class="form-control">
							<option value="6h">6 ч.</option>
							<option value="12h">12 ч.</option>
							<option value="24h" selected>24 ч.(1 день)</option>
							<option value="non">Нет</option>
						</select>
					</div>
					<div class="form-group">
						<label>Пакет переходов:</label>
						<select name="package" class="form-control">
							<?=$data['packages_link'];?>
						</select>
					</div>
					<div class="form-group">
						<label>Email:</label>
						<input type="text" name="email" class="form-control">
					</div>
					<div class="form-group">
						<label>Общая цена:</label>
						<input id="all_price" type="text" disabled="disable" class="form-control" value="0.00">
					</div>
					<input type="hidden" name="type" value="buy">
					<input type="hidden" name="buy" value="link">
					<button class="btn btn-default">Перейти к оплате</button>
					<span id="status"></span>
				</form>
			</div>
		</div>
	</div>
	<script>
		setTimeout(function () {
			setInterval(function () {
				var price = parseFloat($('#linkModal').find('select[name=package]').find('option:selected').attr('price')),
					link = $('#linkModal').find('input[name=link]').val();
				$('#linkModal').find('#all_price').val(price.toFixed(4) + ' руб.');
				$('#linkModal').find('#frame-test').attr('href','/frame-test/?link='+link);
			},200);
		},1000);
	</script>
	</div>
</div>