﻿<?php
$_OPT['title'] = 'Разместить текстовое объявление';
?>
<div class="page-title">
		<div class="container" style="padding-left: 35px;">
			{!TITLE!}
		</div>
</div>
<div class="container">
<?
require 'views/subs/_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="panel-body acc">
        <div class="alert alert-block">
          <button type="button" class="close" data-dismiss="alert">Понятно!</button>
          <h4>Требования к объявлению</h4>
          <b>Заголовок</b> -  Ограничение до 40 символов<br/>
          <b>Описание</b> -  Ограничение до 100 символов<br/>
          Запрещено использовать нецензурные выражения в полях.
        </div>

				<ol class="breadcrumb">
					<li><a href="/account/add/banner"><i class="fa fa-picture-o"></i> Баннерное объявление</a></li>
					<li сlass="active"><i class="fa fa-link"></i> Текстовое объявление</li>
				</ol>
			<div class="row">
				<form>
					<div class="col-xs-6">
						<div class="form-group">
							<label>Заголовок:</label>
							<input type="text" name="title" class="form-control" placeholder="Ваш заголовок...">
						</div>
						<div class="form-group">
							<label>Описание:</label>
							<input type="text" name="text" class="form-control" placeholder="Ваш текст...">
						</div>
						<div class="form-group">
							<label>Ссылка:</label>
							<input type="text" name="url" class="form-control" placeholder="Ссылка с http://...">
						</div>
						<div class="form-group">
							<label>Встраивание в фрейм:</label>
							<p class="help-block">
								Не все сайты поддерживают встраивание в фрейм,<br>
								Проверьте встраиваеться ваш сайт во фрейм или нет <br>
								<a href="" id="frame-test" target="_blank">Проверить</a>
							</p>
							<select name="frame" class="form-control">
								<option value="1">С фреймом</option>
								<option value="2">Без фрейма</option>
							</select>
						</div>
						<div class="form-group">
							<label>Пакет переходов:</label>
							<select name="package" class="form-control">
								<?=$data['packages'];?>
							</select>
						</div>
					</div>
					<div class="col-xs-6">
						<div class="form-group">
							<label>Повторение:</label>
							<p class="help-block">
								Делает ваше объявление многоразовым.
							</p>
							<select name="one_time" class="form-control">
								<option value="6h">6 ч.</option>
								<option value="12h">12 ч.</option>
								<option value="24h" selected>24 ч.(1 день)</option>
								<option value="non">Нет</option>
							</select>
						</div>
						<div class="form-group">
							<label>VIP Размещение:</label>
							<select name="vip" class="form-control">
								<option value="2">VIP</option>
								<option value="1" selected="selected">Обычное</option>
							</select>
						</div>
						<div class="form-group">
							<label>Цена за один переход:</label>
							<input id="one_price" type="text" disabled="disable" class="form-control" value="0.00">
						</div>
						<div class="form-group">
							<label>Общая цена:</label>
							<input id="all_price" type="text" disabled="disable" class="form-control" value="0.00">
						</div>
						<div class="form-group">
							<label>Пример объявления:</label>
							<div class="panel panel-ad" >
								<div class="panel-heading" id="title">Ваш заголовок</div>
								<div class="panel-body" id="text">Ваш текст</div>
							</div>
						</div>
						<input type="hidden" name="type" value="user">
						<input type="hidden" name="user" value="add">
						<input type="hidden" name="add" value="link">
						<div class="pull-right">
							<span id="status"></span>
							<button class="btn btn-default">Создать</button>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</div>
<script>
	setTimeout(function () {
		setInterval(function () {
			var price = parseFloat($(document).find('select[name=package]').find('option:selected').attr('price')),
				count = parseFloat($(document).find('select[name=package]').find('option:selected').attr('count')),
				vip = ($('select[name=vip]').val() === '1')? 0: 0.01,
				one_price = (price / count) + ((price / count) * vip),
				one_price = (price !== 0)? one_price : 0,
				link = $('input[name=link]').val(),
				title = $('input[name=title]').val(),
				text = $('input[name=text]').val(),
				style = (vip == 0)?'#FABE2E':'#9CCF37';
			$('#one_price').val(one_price.toFixed(4) + ' руб.');
			$('#all_price').val((price + (price * vip)).toFixed(4) + ' руб.');
			$('#frame-test').attr('href','/frame-test/?link='+link);
			$('#title').css('background',style);
			if(title.length > 1){
				$('#title').text(title);
			}else {
				$('#title').text('Ваш заголовок');
			}
			if(text.length > 1){
				$('#text').text(text);
			}else {
				$('#text').text('Ваш текст');
			}
		},200);
	},1000);
</script>