<?php
$_OPT['title'] = 'Мои текстовые объявления';
?>
<div class="page-title">
		<div class="container" style="padding-left: 35px;">
			{!TITLE!}
		</div>
</div>
<div class="container">
<?
require 'views/subs/_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="panel-body acc">
			<ol class="breadcrumb">
				<li><a href="/account/my/banners"><i class="fa fa-picture-o"></i> Баннерные объявления</a></li>
				<li сlass="active"><i class="fa fa-link"></i> Текстовые объявления</li>
			</ol>
			<?php
			if (count($data['blocks']) > 0) {
					foreach ($data['blocks'] as $block) {
						$status = ($block['active'] == '1')?'<i class="fa fa-stop"></i>':'<i class="fa fa-play"></i>';
						?>
						<div class="col-xs-6" data-block="<?=$block['id'];?>">
							<div class="panel panel-left">
								<div class="panel-body">
									<div class="form-group">
										<label>Заголовок:</label>
										<input type="text" name="title" disabled="disable" value="<?=$block['title'];?>" class="form-control">
									</div>
									<div class="form-group">
										<label>Текст:</label>
										<input type="text" name="text" disabled="disable" value="<?=$block['text'];?>" class="form-control">
									</div>
									<form>
										<div class="form-group">
											<label>Пополнить:</label>
											<span id="status"></span>
											<div class="input-group">
												<input type="text" name="money" class="form-control" value="100">
												<input type="hidden" name="type" value="user">
												<input type="hidden" name="user" value="pay_obj">
												<input type="hidden" name="obj_type" value="link">
												<input type="hidden" name="obj_id" value="<?=$block['link_id'];?>">
												<div class="input-group-btn">
													<button class="btn btn-default">Пополнить</button>
												</div>
											</div>
										</div>
									</form>
									<h5>Баланс: <?=sprintf('%0.2f', $block['balance']);?> <i class="fa fa-rouble"></i></h5>
									<h5>Просмотров: <?=$block['views'];?> <i class="fa fa-eye"></i></h5>
									<?php
										if($block['views'] >= 1){
											?>
											<h5>Последний просмотр: <?=date('Y/m/d H:i', $block['last_view']);?> <i class="fa fa-eye"></i></h5>
											<?php
										}
									?>
									<div>Статус: <?=($block['active'] == '1')? 'В ротации':'Остановлено';?></div>
									<h5>Ссылка: <span id="link"><?=$block['link'];?></span> <i class="fa fa-link"></i></h5>
									<button class="btn btn-default" onclick="user.edit('link',<?=$block['id'];?>);"><i class="fa fa-pencil"></i></button>
									<button class="btn btn-default" onclick="user.start('link',<?=$block['id'];?>);"><span id="start"><?=$status;?></span></button>
									<button class="btn btn-default" onclick="user.del(<?=$block['id'];?>);"><i class="fa fa-trash"></i></button>
								</div>
							</div>
						</div>
						<?php
					}
				}else echo '<center><h4>У вас нет обьявлений этого типа</h4></center>';
			?>
		</div>
	</div>
</div>
<!-- editModal -->
<div class="modal fade" id="editModal">
	<div class="modal-dialog">
		<div class="modal-content">
				<form>
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
						<h4 class="modal-title">Редактирование сслыки</h4>
					</div>
					<div class="modal-body">
						<div class="form-group">
							<label>Заголовок:</label>
							<input type="text" name="title" class="form-control">
						</div>
						<div class="form-group">
							<label>Текст:</label>
							<input type="text" name="text" class="form-control">
						</div>
						<div class="form-group">
							<label>Ссылка:</label>
							<input type="text" name="link" class="form-control">
						</div>
					</div>
					<div class="modal-footer">
						<input type="hidden" name="type" value="user">
						<input type="hidden" name="user" value="edit">
						<input type="hidden" name="edit" value="link">
						<input type="hidden" name="id">
						<span id="status"></span>
						<button class="btn btn-default">Сохранить</button>
					</div>
				</form>
		</div>
	</div>
</div>
<!-- deleteModal -->
<div class="modal fade" id="deleteModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
				<h4 class="modal-title">Вы уверенны?</h4>
			</div>
			<form>
				<div class="modal-body">
					<h3>Вы уверенны?</h3>
				</div>
				<div class="modal-footer">
					<input type="hidden" name="type" value="user">
					<input type="hidden" name="user" value="delete">
					<input type="hidden" name="delete" value="link">
					<input type="hidden" name="id">
					<span id="status"></span>
					<button class="btn btn-default">Удалить</button>
				</div>
			</form>
		</div>
	</div>
</div>
</div>