<?php
$_OPT['title'] = 'Конкурс рефералов';
require 'views/subs/_admin_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<?php
			if ($data['competition'] != '0') {
				?>
				<div class="table-responsive">
					<table class="table table-hover table-striped table-bordered">
						<tbody>
							<tr>
								<td>За первое место:</td>
								<td><?=$data['money_1'];?> <i class="fa fa-rouble"></i></td>
							</tr>
							<tr>
								<td>За второе место:</td>
								<td><?=$data['money_2'];?> <i class="fa fa-rouble"></i></td>
							</tr>
							<tr>
								<td>За третье место:</td>
								<td><?=$data['money_3'];?> <i class="fa fa-rouble"></i></td>
							</tr>
							<tr>
								<td>Дата завершения:</td>
								<td><?=date('d.m.Y',$data['time_close']);?> <i class="fa fa-calendar"></i></td>
							</tr>
							<tr>
								<td>Управление:</td>
								<td>
									<button class="btn btn-danger btn-xs" onclick="admin.competition('delete',<?=$data['id'];?>);">
										Удалить конкурс
									</button>
									<button class="btn btn-success btn-xs" onclick="admin.competition('stop',<?=$data['id'];?>);">
										<?=($data['time_close'] > time())?'Раздать призы преждевременно':'Раздать призы';?>
									</button>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
				<?php
			}else {
				?>
				<center><h3>Нет конкурса</h3></center>
				<button class="btn btn-block btn-default" data-toggle="modal" data-target="#newCompModal">Создать</button>
				<!-- newCompModal -->
				<div class="modal fade" id="newCompModal">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								Создать конкурс
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
									<i class="fa fa-close"></i>
								</button>
								<h4 class="modal-title"></h4>
							</div>
							<div class="modal-body">
								<form>
									<div class="form-group">
										<label>Приз за первое мест:</label>
										<input type="text" name="first" value="1500" class="form-control">
									</div>
									<div class="form-group">
										<label>Приз за второе мест:</label>
										<input type="text" name="second" value="1000" class="form-control">
									</div>
									<div class="form-group">
										<label>Приз за третье мест:</label>
										<input type="text" name="three" value="500" class="form-control">
									</div>
									<div class="form-group">
										<label>Продолжительность конкурса(в днях):</label>
										<input type="text" name="days" value="30" class="form-control">
									</div>
									<input type="hidden" name="type" value="admin">
									<input type="hidden" name="admin" value="competition">
									<input type="hidden" name="comp" value="new">
									<button class="btn btn-default">Создать конкурс</button>
									<span id="status"></span>
								</form>
							</div>
						</div>
					</div>
				</div>

				<?php
			}
			?>
		</div>
	</div>
</div>