<?php
$_OPT['title'] = 'Рекламные пакеты';
require 'views/subs/_admin_leftbar.php';
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<div class="col-xs-6">
				<h3>Пакеты ссылок</h3>
				<div class="table-responsive">
					<table class="table table-hover table-bordered table-striped">
						<thead>
							<tr>
								<td>ID</td>
								<td>Цена</td>
								<td>Количество</td>
								<td>Удалить</td>
							</tr>
						</thead>
						<tbody>
							<?php
							if($data['pack_link'] != '0'){
								foreach ($data['pack_link'] as $pack) {
									?>
									<tr>
										<td><?=$pack['id'];?></td>
										<td><?=$pack['price'];?> <i class="fa fa-rouble"></i></td>
										<td><?=$pack['count'];?></td>
										<td>
											<button class="btn btn-default" onclick="admin.del_pack(<?=$pack['id'];?>);">
												<i class="fa fa-trash"></i>
											</button>
										</td>
									</tr>
									<?php
								}
							}else echo '<tr><td>Нет пакетов</td></tr>';
							?>
						</tbody>
					</table>
				</div>
				<button class="btn btn-default" onclick="admin.addPack('link');">
					Добавить пакет
				</button>
			</div>
			<div class="col-xs-6">
				<h3>Пакеты баннеров</h3>
				<div class="table-responsive">
					<table class="table table-hover table-bordered table-striped">
						<thead>
							<tr>
								<td>ID</td>
								<td>Цена</td>
								<td>Количество</td>
								<td>Удалить</td>
							</tr>
						</thead>
						<tbody>
							<?php
							if($data['pack_banner'] != '0'){
								foreach ($data['pack_banner'] as $pack) {
									?>
									<tr>
										<td><?=$pack['id'];?></td>
										<td><?=$pack['price'];?> <i class="fa fa-rouble"></i></td>
										<td><?=$pack['count'];?></td>
										<td>
											<button class="btn btn-default" onclick="admin.del_pack(<?=$pack['id'];?>);">
												<i class="fa fa-trash"></i>
											</button>
										</td>
									</tr>
									<?php
								}
							}else echo '<tr><td>Нет пакетов</td></tr>';
							?>
						</tbody>
					</table>
				</div>
				<button class="btn btn-default" onclick="admin.addPack('banner');">
					Добавить пакет
				</button>
			</div>
		</div>
	</div>
</div>
<!-- addPack -->
<div class="modal fade" id="addPack">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
					<i class="fa fa-close"></i>
				</button>
				<h4 class="modal-title"></h4>
			</div>
			<div class="modal-body">
				<form>
					<div class="form-group">
						<label>Цена:</label>
						<input type="text" name="price" class="form-control">
					</div>
					<div class="form-group">
						<label>Количество:</label>
						<input type="text" name="count" class="form-control">
					</div>
					<div class="form-group">
						<label>Плата за один переход:</label>
						<input type="text" disable id="all_price" class="form-control">
					</div>
					<div class="form-group">
						<label>Пин-код:</label>
						<input type="password" name="pin" class="form-control">
					</div>
					<input type="hidden" name="type" value="admin">
					<input type="hidden" name="admin" value="addpack">
					<input type="hidden" name="pack_type" value="link">
					<button class="btn btn-default">Добавить</button>
					<span id="status"></span>
				</form>
				<script>
					setTimeout(function () {
						setInterval(function () {
							var price_v = $('input[name=price]').val(),
								count_v = $('input[name=count]').val(),
								price = price_v.length > 1 ? parseInt(price_v) : 0,
								count = count_v.length > 1 ? parseInt(count_v) : 0,
								one_price = (price / count).toFixed(4),
								one_price = one_price !== 'NaN' ? one_price : 0,
								one_price = one_price !== 'Infinity' ? one_price : 0;
							$('#all_price').val(one_price + ' Руб.');
						},200);
					},1000);
				</script>
			</div>
		</div>
	</div>
</div>