<?php
$_OPT['title'] = 'Пользователь: '.$data['data']['login'];
require 'views/subs/_admin_leftbar.php';
$status_arr = array('1'=>'Ожидание','2'=>'Успешно','3'=>'Отменена');
?>
<div class="col-xs-9">
	<div class="panel panel-main acc">
	<span class="pull-right">
		<button class="btn btn-default" data-ban="<?=$data['data']['user_id'];?>" onclick="admin.ban(<?=$data['data']['user_id'];?>);">
			<?=($data['data']['ban'] === '2') ? 'Разбанить' : 'Забанить';?>
		</button>
	</span>
		<div class="acc-title">{!TITLE!}</div>
		<div class="panel-body acc">
			<div class="col-xs-6 acc">
				<ul class="nav nav-pills nav-stacked nav-acc">
					<li class="active"><a>Основное</a></li>
					<li><a>Почта: <?=$data['data']['email'];?> <i class="fa fa-envelope-o"></i></a></li>
					<li><a>Последний IP: <?=$data['data']['ip'];?> <i class="fa fa-anchor"></i></a></li>
					<li><a>Откуда пришел: <?=($data['data']['httpref'] != '0')? $data['data']['httpref'] : 'Неизвестно';?> <i class="fa fa-link"></i></a></li>
					<li><a>Дата регистрации: <?=date('Y.m.d H:i',$data['data']['date_reg']);?> <i class="fa fa-calendar"></i></a></li>
					<li><a>Payeer кошелек: <?=$data['data']['payeer'];?> <i class="fa fa-credit-card"></i></a></li>
					<li><a>Баланс рекламный: <?=sprintf('%.02f',$data['data']['b_pur']);?> <i class="fa fa-rouble"></i></a></li>
					<li><a>Баланс для вывода: <?=sprintf('%.02f',$data['data']['b_out']);?> <i class="fa fa-rouble"></i></a></li>
				</ul>
				<ul class="nav nav-pills nav-stacked nav-acc">
					<li class="active"><a>Денежные операции</a></li>
					<li><a>Выведено из системы: <?=sprintf('%.02f',$data['stats']['payment_all']);?> <i class="fa fa-rouble"></i></a></li>
					<li><a>Введено в систему: <?=sprintf('%.02f',$data['stats']['insert_all']);?> <i class="fa fa-rouble"></i></a></li>
					<li><a>Заработано на рефералах: <?=$data['stats']['from_all'];?> <i class="fa fa-rouble"></i></a></li>
				</ul>
			</div>
			<div class="col-xs-6 acc">
				<ul class="nav nav-pills nav-stacked nav-acc">
					<li class="active"><a>Рефералы</a></li>
					<li><a>Реферер: <?=$data['referer'];?> <i class="fa fa-user"></i></a></li>
					<li><a>Рефералов 1-го уровня: <?=$data['stats']['refs_1'];?> <i class="fa fa-users"></i></a></li>
					<li><a>Рефералов 2-го уровня: <?=$data['stats']['refs_2'];?> <i class="fa fa-users"></i></a></li>
					<li><a>Рефералов 3-го уровня: <?=$data['stats']['refs_3'];?> <i class="fa fa-users"></i></a></li>
				</ul>
				<ul class="nav nav-pills nav-stacked nav-acc">
					<li class="active"><a>Обьявления</a></li>
					<li><a>Всего в ротации: <?=$data['stats']['count_banners'] + $data['stats']['count_links'];?> <i class="fa fa-link"></i></a></li>
					<li><a>Баннеров в ротации: <?=$data['stats']['count_banners'];?> <i class="fa fa-link"></i></a></li>
					<li><a>Ссылок в ротации: <?=$data['stats']['count_links'];?> <i class="fa fa-link"></i></a></li>
				</ul>
			</div>
			<div class="row"></div>
			<div class="col-xs-6">
				<h3>История пополнений</h3>
				<div class="table-responsive">
					<table class="table table-bordered table-hover table-striped">
						<thead>
							<tr>
								<td>Сумма</td>
								<td>Статус</td>
								<td>Дата</td>
							</tr>
						</thead>
						<tbody>
							<?php
								if($data['inserts'] != '0'){
									foreach ($data['inserts'] as $insert) {
										?>
										<tr>
											<td><?=$insert['money'];?> <i class="fa fa-rouble"></i></td>
											<td><?=$status_arr[$insert['status']];?></td>
											<td><?=date('Y/m/d H:i',$insert['date_op']);?></td>
										</tr>
										<?php
									}
								}else echo '<tr><td>Нет пополнений</td></tr>'
							?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-xs-6">
				<h3>История выплат</h3>
				<div class="table-responsive">
					<table class="table table-bordered table-hover table-striped">
						<thead>
							<tr>
								<td>Сумма</td>
								<td>Статус</td>
								<td>Кошелек</td>
								<td>Дата</td>
							</tr>
						</thead>
						<tbody>
							<?php
								if($data['payments'] != '0'){
									foreach ($data['payments'] as $payment) {
										?>
										<tr>
											<td><?=$payment['money'];?> <i class="fa fa-rouble"></i></td>
											<td><?=$status_arr[$payment['status']];?></td>
											<td><?=$payment['purse'];?></td>
											<td><?=date('Y/m/d H:i',$payment['date_op']);?></td>
										</tr>
										<?php
									}
								}else echo '<tr><td>Нет выплат</td></tr>'
							?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-xs-12">
				<h3>История авторизаций</h3>
				<div class="table-responsive">
					<table class="table table-hover table-bordered table-striped">
						<thead>
							<tr>
								<td>Дата</td>
								<td>Браузер</td>
							</tr>
						</thead>
						<tbody>
							<?php
							foreach ($data['auth_history'] as $block) {
								?>
								<tr>
									<td><?=date('Y/m/d H:i',$block['time']);?></td>
									<td><?=$block['meta'];?></td>
								</tr>
								<?php
							}
							?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
